# Generated by Django 2.2 on 2019-09-27 09:24

from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gestion_de_la_diffusion', '0001_initial'),
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Emission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, help_text="(Facultatif) Tous les formats d'images courant sont acceptés. L'image doit être libre de droits.", null=True, upload_to='uploads', verbose_name='fichier image')),
                ('description_image', models.CharField(blank=True, help_text="(Facultatif) Description de l'image : nature, auteur,personnes représentées...", max_length=500, null=True, verbose_name="description de l'image")),
                ('nom', models.CharField(help_text="Nom de l'émission (Renseignera le champ TALB  dans le Tag ID3v2 du fichier audio)", max_length=255)),
                ('annee_scolaire', models.IntegerField(default=2019, editable=False, help_text="Champ non éditable valorisé automatiquement avec la valeur de l'année scolaire courante.", verbose_name='année scolaire')),
            ],
            options={
                'verbose_name': 'émission',
            },
        ),
        migrations.CreateModel(
            name='Episode',
            fields=[
                ('objetsonore_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, to='gestion_de_la_diffusion.ObjetSonore')),
                ('diffusable_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='gestion_de_la_diffusion.Diffusable')),
                ('image', models.ImageField(blank=True, help_text="(Facultatif) Tous les formats d'images courant sont acceptés. L'image doit être libre de droits.", null=True, upload_to='uploads', verbose_name='fichier image')),
                ('description_image', models.CharField(blank=True, help_text="(Facultatif) Description de l'image : nature, auteur,personnes représentées...", max_length=500, null=True, verbose_name="description de l'image")),
                ('description', models.TextField(blank=True, help_text='(Facultatif) Texte présentant le fichier audio. Sera affiché sur la page web lors de la diffusion et sera utilisé lors de recherches de fichiers audio dans la base de données.', null=True)),
                ('emission', models.ForeignKey(help_text="Émission à laquelle l'épisode est associé de manière unique (Renseigne le champ TALB  dans le Tag ID3v2 du fichier audio)", on_delete=django.db.models.deletion.PROTECT, related_name='episode_set_emission', to='gestion_des_emissions.Emission', verbose_name='émission')),
            ],
            options={
                'verbose_name': 'épisode',
            },
            bases=('gestion_de_la_diffusion.diffusable', 'gestion_de_la_diffusion.objetsonore', models.Model),
        ),
        migrations.CreateModel(
            name='Intervenant',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'intervenant',
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='MotClef',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mot_clef', models.CharField(help_text='Mot-clé utilisé pour décrire un fichier sonore.', max_length=40, unique=True, verbose_name='mot-clé')),
            ],
            options={
                'verbose_name': 'mot-clé',
                'verbose_name_plural': 'mots-clés',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('group_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='auth.Group')),
            ],
            options={
                'verbose_name': 'rôle',
            },
            bases=('auth.group',),
            managers=[
                ('objects', django.contrib.auth.models.GroupManager()),
            ],
        ),
        migrations.CreateModel(
            name='SourceExterne',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titre', models.CharField(help_text='Titre ou courte description de la ressource.', max_length=255)),
                ('auteur', models.CharField(help_text='Auteur(s) de la ressource. En cas de plusieurs auteurs, tous les noms sont à écrire dans ce champ.', max_length=500, verbose_name='auteur(s)')),
                ('date_publication', models.DateField(verbose_name='date de publication')),
                ('editeur', models.CharField(blank=True, help_text='(Facultatif) Editeur de la ressource.', max_length=500, null=True, verbose_name='éditeur')),
                ('url', models.URLField(blank=True, help_text='(Facultatif) Lien Internet valide de la ressource.', null=True, verbose_name='lien Internet')),
            ],
            options={
                'verbose_name': 'source externe',
                'verbose_name_plural': 'sources externes',
            },
        ),
        migrations.CreateModel(
            name='RelationEpisodeSourceExterne',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('episode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_des_emissions.Episode', verbose_name='épisode')),
                ('source_externe', models.ForeignKey(help_text="Référence à une ressource utilisée ou citée dans l'épisode.", on_delete=django.db.models.deletion.PROTECT, to='gestion_des_emissions.SourceExterne', verbose_name='source externe')),
            ],
            options={
                'unique_together': {('episode', 'source_externe')},
            },
        ),
        migrations.CreateModel(
            name='RelationEpisodeMotClef',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('episode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_des_emissions.Episode', verbose_name='épisode')),
                ('mot_clef', models.ForeignKey(help_text='Mots-clés décrivant le fichier audio. Seront utilisés lors de recherches de fichiers audio dans la base de données.', on_delete=django.db.models.deletion.PROTECT, to='gestion_des_emissions.MotClef', verbose_name='mot-clé')),
            ],
            options={
                'unique_together': {('episode', 'mot_clef')},
            },
        ),
        migrations.AddField(
            model_name='episode',
            name='mots_clefs',
            field=models.ManyToManyField(help_text='(Facultatif) Mots-clés décrivant le fichier audio. Seront utilisés lors de recherches de fichiers audio dans la base de données.', through='gestion_des_emissions.RelationEpisodeMotClef', to='gestion_des_emissions.MotClef', verbose_name='mots-clés'),
        ),
        migrations.AddField(
            model_name='episode',
            name='sources_externes',
            field=models.ManyToManyField(help_text="(Facultatif) Ressources utilisées dans l'épisode", through='gestion_des_emissions.RelationEpisodeSourceExterne', to='gestion_des_emissions.SourceExterne', verbose_name='source externe'),
        ),
        migrations.CreateModel(
            name='Intervention',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('episode', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_des_emissions.Episode')),
                ('intervenant', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='gestion_des_emissions.Intervenant')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='gestion_des_emissions.Role', verbose_name='rôle')),
            ],
            options={
                'unique_together': {('episode', 'intervenant', 'role')},
            },
        ),
    ]
